﻿/*
Built using Kango - Cross-browser extension framework
http://kangoextensions.com/
*/
/*
	Copy 2012
	http://wwww.OptFirst.com
*/
var currUrl;
var currFullUrl;
var wholeUrl;
var gChartData;

function init() {
	$('#tabs').tabs({
		show: function(event, ui) {
      if(ui.index == 4){
				drawAnchorPie();
			}
		}
	});
	$('#logohere').append('<img src="img/logo_32.png" style="float:right" id="optfirsttop"><img src="img/optfirst/facebook.png" style="float:right;margin:2px;" id="facebooktop"><img src="img/optfirst/plus.png" style="float:right;margin:2px;" id="plustop">');
	kango.browser.tabs.getCurrent(function(tab){
		popup.initializeInlineEvents(); //manifest v2 does not allow inline JS in HTML, setting handlers via DOM instead
		internalRun(tab.getUrl());
	});
	$('#nofollow').checked = kango.storage.getItem('nofollow');
	$('#nofollow').change(function(e) {
		kango.storage.setItem('nofollow', $(this).is(":checked"))
	});
}

function drawAnchorPie(){
	if (gChartData){
		var plot1 = jQuery.jqplot ('anchorpie', [gChartData], { 
				seriesDefaults: {
					renderer: jQuery.jqplot.PieRenderer, 
					rendererOptions: {
						showDataLabels: true
					}
				}, 
				legend: { show:true, location: 'e' },
				title: "Presented by OptFirst"
		});
	}
}

function internalRun(url1) {
	try {
		url = parseUri(url1);
		if (!url.relative) url.relative = "";
		if (url.relative == "%2F") url.relative = "";
		wholeUrl = url;
		if (isDomain(url.host)) {
			if (!url.protocol) url.protocol = "http", url.source = "http%3A%2F%2F" + url.source;
			$("#url").val(decodeURIComponent(url.source));
			if (url.relative == "%2F") url.relative = "";
			loadStats(url);
		} else {
			//				if(url.host=="chrome:" || url.host=="file:" || url.host=="chrome-extension:" || url.host=="view-source:http:" || url.host=="view-source:https:"){
			unsetData();
			return;
			//				}
		}
	} catch (e) {
		// TODO: handle exception
		//			alert(e);
	}
	currFullUrl = url1;
	currUrl = getHost(currFullUrl);
	bingBL();
	getFLike();
	googleRank();

}

function wqSearch(obj) {
	internalRun(obj.value);
	//		link="http://www.optfirst.com/www/" + link;
	//		window.open(link,"_blank");
	return false;
}

function wqOnFocus(obj) {
	if (obj.value == obj.defaultValue) obj.value = '';
}

function wqOnBlur(obj) {
	if (obj.value == '') obj.value = obj.defaultValue;
}

function unsetData() {
	document.getElementById("googlepr").innerHTML = 'n/a';
	document.getElementById("majestic").innerHTML = 'n/a';
	document.getElementById("majesticunique").innerHTML = 'n/a';
	document.getElementById("alexa").innerHTML = 'n/a';
	document.getElementById("facebook").innerHTML = 'n/a';
	document.getElementById("googleplus").innerHTML = 'n/a';
	document.getElementById("indmoz").innerHTML = 'n/a';
	document.getElementById("twitter").innerHTML = 'n/a';
	document.getElementById("stumbleuponsw").src = 'n/a';
	document.getElementById("stumbleuponsu").src = 'n/a';
}

function getHost(url) {
	var host = url.replace(/^https{0,1}:\/\//, '');
	host = host.replace(/^www\./, '');
	host = host.replace(/^www[a-z,0-9,A-Z]\./, '');
	host = host.replace(/\/.*/, '');
	return host;
}

function trim(str, chars) {
	return ltrim(rtrim(str, chars), chars)
}

function ltrim(str, chars) {
	chars = chars || "\\s";
	return str.replace(new RegExp("^[" + chars + "]+", "g"), "")
}

function rtrim(str, chars) {
	chars = chars || "\\s";
	return str.replace(new RegExp("[" + chars + "]+$", "g"), "")
}

function toHex8(b) {
	return (b < 16 ? "0" : "") + b.toString(16)
}

function hexEncodeU32(b) {
	var c = toHex8(b >>> 24);
	c += toHex8(b >>> 16 & 255);
	c += toHex8(b >>> 8 & 255);
	return c + toHex8(b & 255)
}

function awesomeHash(b) {
	for (var c = 16909125, d = 0; d < b.length; d++) {
		var HASH_SEED_ = "Mining PageRank is AGAINST GOOGLE'S TERMS OF SERVICE. Yes, I'm talking to you, scammer.";
		c ^= HASH_SEED_.charCodeAt(d % HASH_SEED_.length) ^ b.charCodeAt(d);
		c = c >>> 23 | c << 9
	}
	return hexEncodeU32(c)
}

function googleRank() {
	kango.storage.setItem('domainpr', 1);
	var hash = awesomeHash(currFullUrl);
	var workingURL = "http://toolbarqueries.google.com/tbr?client=navclient-auto&ch=8" + hash + "&features=Rank&q=info:" + currFullUrl;

	prxmlhttp = kango.xhr.getXMLHttpRequest();
	prxmlhttp.onreadystatechange = function() {
		if (prxmlhttp.readyState == 4 && prxmlhttp.status == 200) {

			var rt = prxmlhttp.responseText;
			if (rt.indexOf('reload') >= 0) {
				googleRank();
				return;
			}
			var pr = rt.substr(rt.lastIndexOf(':') + 1);
			pr = pr.substr(0, pr.length - 1);
			var tempPr;

			if (isInt(pr) || pr == '0') {
				// WebRankStats(pr);
				kango.storage.setItem(currUrl, pr);
				kango.storage.setItem(currUrl + 't', parseInt((new Date().getTime()) / 1000));
				if (kango.storage.getItem('domainpr') && kango.storage.getItem('domainpr') == 1) {
					kango.ui.browserButton.setBadgeValue(pr);
				} else {
					kango.ui.browserButton.setBadgeValue(pr);
				}
				tempPr = pr;
				pr = pr + '/10';
			} else {
				pr = 'n/a';
				kango.storage.setItem(currUrl, pr);
				kango.storage.setItem(currUrl + 't', parseInt((new Date().getTime()) / 1000));
				if (kango.storage.getItem('domainpr') && kango.storage.getItem('domainpr') == 1) {
					kango.ui.browserButton.setBadgeValue(pr);
				} else {
					kango.ui.browserButton.setBadgeValue(pr);
				}
			}
			document.getElementById("googlepr").innerHTML = tempPr || pr;
			if (kango.storage.getItem('domainpr') && kango.storage.getItem('domainpr') == 1) {
				kango.ui.browserButton.setTooltipText("Google Pagerank: " + pr);
			} else {
				kango.ui.browserButton.setTooltipText("Google Pagerank: " + pr);
			}
		}
	};
	prxmlhttp.open("GET", workingURL, true);
	prxmlhttp.send(null);
}

function bingBL() {
	workingURL = 'http://www.bing.com/search?q=inbody:' + currUrl + '+-site:' + currUrl;
	bingblxmlhttp = kango.xhr.getXMLHttpRequest();
	bingblxmlhttp.onreadystatechange = function() {
		if (bingblxmlhttp.readyState == 4 && bingblxmlhttp.status == 200) {
			var rt = bingblxmlhttp.responseText;
			var bingind = '';
			var regexpResult1 = rt.match(/<span class="sb_count" id="count">(.*) result(|s)<\/span>/i);
			var regexpResult2 = rt.match(/<span class="sb_count" id="count">(.*) of (.*) result(|s)<\/span>/i);
			if (regexpResult1 == null && regexpResult2 == null) bingind = '0';
			else {
				if (regexpResult2) bingind = regexpResult2[2];
				else
				bingind = regexpResult1[1];
				if (!isInt(bingind)) bingind = '0';
			}
			document.getElementById("bingbackline").innerHTML = bingind;
		}
	};
	bingblxmlhttp.open("GET", workingURL, true);
	bingblxmlhttp.send(null);
}

function getFLike() {
	workingURL = "http://graph.facebook.com/?ids=" + escape(currFullUrl);
	flikexmlhttp = kango.xhr.getXMLHttpRequest();
	flikexmlhttp.onreadystatechange = function() {
		if (flikexmlhttp.readyState == 4 && flikexmlhttp.status == 200) {
			var flikes;
			var flikes_json = JSON.parse(flikexmlhttp.responseText);
			if (flikes_json.hasOwnProperty(currFullUrl) && flikes_json[currFullUrl].hasOwnProperty("shares")) flikes = flikes_json[currFullUrl].shares;
			else if (flikes_json.hasOwnProperty(currFullUrl) && flikes_json[currFullUrl].hasOwnProperty("likes")) flikes = flikes_json[currFullUrl].likes;
			else
			flikes = "0";
			document.getElementById("facebook").innerHTML = addCommas(flikes);
		} else if (flikexmlhttp.readyState == 4 && flikexmlhttp.status == 404) {
			document.getElementById("facebook").innerHTML = "0";
		}
	};
	flikexmlhttp.open("GET", workingURL, true);
	flikexmlhttp.send(null);
}

function isInt(num) {
	return (num.toString().search(/^-?[0-9,]+$/) == 0);
}

function addCommas(nStr) {
	nStr += '';
	var x = nStr.split('.');
	var x1 = x[0];
	var x2 = x.length > 1 ? '.' + x[1] : '';
	var rgx = /(\d+)(\d{3})/;
	while (rgx.test(x1)) {
		x1 = x1.replace(rgx, '$1' + ',' + '$2');
	}
	return x1 + x2;
}

function openLink(link) {
	url = wholeUrl;
	if (!isDomain(url.host)) {
		return;
	}
	var links = new Array();
	links[link] = '#';
	links['bingbackline'] = 'http://www.bing.com/search?q=inbody:' + currUrl + '+-site:' + currUrl;
	links['googlesu'] = 'http://www.google.com/search?q=link:' + url.authority + url.relative;
	links['googlepr'] = 'http://trends.google.com/websites?q=' + url.host;
	links['majestic'] = 'http://www.majesticseo.com/search.php?q=' + url.host;
	links['majesticunique'] = 'http://www.majesticseo.com/search.php?q=' + url.host;
	links['alexa'] = 'http://www.alexa.com/site/linksin/' + url.host;
	links['facebook'] = '#';
	links['googleplus'] = "https://plusone.google.com/u/0/_/+1/fastbutton?url=" + url.source;
	links['indmoz'] = 'http://www.google.com/search?q=site:dmoz.org+http%3A%2F%2F' + 'www.' + url.host.replace(/^www\.(?=.+\.)/, '') + '+OR+http%3A%2F%2F' + url.host.replace(/^www\.(?=.+\.)/, '');

	links['twitter'] = 'http://search.twitter.com/search?q=' + url.source;
	links['stumbleuponsw'] = 'http://www.google.com/search?q=site:stumbleupon.com/url/+inurl:' + url.host;
	links['stumbleuponsu'] = '#';


	links['alexarank'] = 'http://www.alexa.com/siteinfo/' + url.host;
	links['semrush'] = 'http://www.semrush.com/us/info/' + url.host + '/?ref=424298966';

	links['googleindex'] = 'http://www.google.com/search?q=site:' + url.host;
	links['majesticindex'] = 'http://www.majesticseo.com/search.php?q=' + url.host;
	links['bingindex'] = 'http://www.bing.com/search?q=site:' + url.host;
	links['archive'] = 'http://web.archive.org/*/' + decodeURIComponent(url.source);
	links['googlecache'] = "http://webcache.googleusercontent.com/search?&q=cache:" + url.source + "+&cd=1&hl=en&ct=clnk&gl=us";

	links['robots'] = url.protocol + '://' + url.host + '/robots.txt';
	links['sitemap'] = url.protocol + '://' + url.host + '/sitemap.xml';

	links['whois'] = 'http://whois.domaintools.com/' + url.host;
	links['domainip'] = 'http://whois.domaintools.com/' + url.host;
	links['dns'] = 'http://www.intodns.com/' + url.host;


	links['OptFirst'] = 'http://www.optfirst.com/'+kango.browser.getName()+'-extension/';
	kango.browser.tabs.create({url:links[link], focused: false});
}
function openDirect(url){
	kango.browser.tabs.create({url: url, focused: false});
}

parseUri.options = {
	strictMode: !1,
	key: ["source", "protocol", "authority", "userInfo", "user", "password", "host", "port", "relative", "path", "directory", "file", "query", "anchor"],
	q: {
		name: "queryKey",
		parser: /(?:^|&)([^&=]*)=?([^&]*)/g
	},
	parser: {
		strict: /^(?:([^:\/?#]+):)?(?:\/\/((?:(([^:@]*)(?::([^:@]*))?)?@)?([^:\/?#]*)(?::(\d*))?))?((((?:[^?#\/]*\/)*)([^?#]*))(?:\?([^#]*))?(?:#(.*))?)/,
		loose: /^(?:(?![^:@]+:[^:@\/]*@)([^:\/?#.]+):)?(?:\/\/)?((?:(([^:@]*)(?::([^:@]*))?)?@)?([^:\/?#]*)(?::(\d*))?)(((\/(?:[^?#](?![^?#\/]*\.[^?#\/.]+(?:[?#]|$)))*\/?)?([^?#\/]*))(?:\?([^#]*))?(?:#(.*))?)/
	}
};

function parseUri(a) {
	var d = {};
	for (var b = parseUri.options, a = b.parser[b.strictMode ? "strict" : "loose"].exec(a), d = {}, c = 14; c--;)
	d[b.key[c]] = encodeURIComponent(a[c]) == "undefined" ? "" : encodeURIComponent(a[c]);
	d[b.q.name] = {};
	decodeURIComponent(d[b.key[12]]).replace(b.q.parser, function(a, c, f) {
		c && (d[b.q.name][c] = encodeURIComponent(f));
		//			alert(f);
	});
	return d
}

function isDomain(a) {
	return a.toLowerCase().match(/^(?!.{254})(([0-9a-z][0-9a-z\-]{0,61})?[0-9a-z]\.)*([0-9a-z][0-9a-z\-]{0,61})?[0-9a-z]\.[a-z]{2,6}$/)
}

function urlDecode(a) {
	return decodeURIComponent((a + "").replace(/\+/g, "%20"))
}

function popUp(a, b, d) {
	var c = (new Date).getTime();
	window.open(a, c, "width=" + b + ", height=" + d + ", left=" + (screen.availWidth - b) / 2 + ", top=0")
}

function numberFormat(a, b, d, c) {
	var a = !isFinite(+a) ? 0 : +a,
			b = !isFinite(+b) ? 0 : Math.abs(b),
			c = typeof c === "undefined" ? "," : c,
			d = typeof d === "undefined" ? "." : d,
			e = "",
			e = (b ?
		function(a, b) {
			var c = Math.pow(10, b);
			return "" + Math.round(a * c) / c
		}(a, b) : "" + Math.round(a)).split(".");
	e[0].length > 3 && (e[0] = e[0].replace(/\B(?=(?:\d{3})+(?!\d))/g, c));
	if ((e[1] || "").length < b) e[1] = e[1] || "", e[1] += Array(b - e[1].length + 1).join("0");
	return e.join(d)
}

function deduplicateArray(a) {
	var b = [],
			d = 0;
	a: for (; d < a.length; d++) {
		for (var c = 0; c < b.length; c++) if (b[c] == a[d]) continue a;
		b[b.length] = a[d]
	}
	return b
}

function trimArray(a) {
	for (var b = 0; b < a.length; b++) {
		for (var d = -1, c = a[b].length; a[b].charCodeAt(--c) < 33;);
		for (; a[b].charCodeAt(++d) < 33;);
		a[b] = a[b].slice(d, c + 1)
	}
	return a
}

function wrapArray(a, b, d) {
	for (var c = [], e = 0; e < a.length; e++) c.push(b + a[e] + d);
	return c
};


function loadStats(url) {
	var d;

	$.ajax({
		url: "http://www.bing.com/search?q=site:" + url.host,
		success: function(a) {
			(b = $("#count", a).text().split(" ")[2]) || (b = $("#count", a).text().split(" ")[0]) || (b = "0");
			document.getElementById("bingindex").innerHTML = b;
		},
		error: function() {
			document.getElementById("bingindex").innerHTML = "N/A";
		}
	});
	

	$.ajax({
		url: "http://www.google.com/search?q=site:" + url.host,
		success: function(a) {
			(a = $("#resultStats", a).text().replace("About ", "").split(" ")[0]) || (a = "0");
			document.getElementById("googleindex").innerHTML = a;
		},
		error: function(a) {
			document.getElementById("googleindex").innerHTML = "N/A";
		}
	});
	/******************************************************************/
	/* get citation and trust flow */
	$.ajax({
		url: "http://enterprise.majesticseo.com/api_command?app_api_key=18429E9EB2EE08D9CFCAE28ED21C6CC6&cmd=GetTopPages&datasource=fresh&Query=" + url.host,
		dataType: "xml",
		'success': function(response) {
			try {
				var header = ($(response).find("DataTable[Name='Matches']")).attr('Headers').split('|');
				var data = ($(response).find("DataTable[Name='Matches']")).find("Row")[0].textContent.split('|');
				$('#majesticcitationflow').text(data[header.indexOf('CitationFlow')]);
				$('#majestictrustflow').text(data[header.indexOf('TrustFlow')]);
			} catch(e){
				$('#majesticcitationflow').text('N/A');
				$('#majestictrustflow').text('N/A');
			}
		},
		'error': function() {
			$('#majesticcitationflow').text('N/A');
			$('#majestictrustflow').text('N/A');
		}
	});
	
	/*get ref domains*/
	$.ajax({
		url: "http://enterprise.majesticseo.com/api_command?app_api_key=18429E9EB2EE08D9CFCAE28ED21C6CC6&cmd=GetRefDomains&datasource=fresh&item0=" + url.source,
		dataType: "xml",
		'success': function(response) {
			try {
				$('#majesticrefdomains').text(($(response).find("DataTable[Name='Results']")).attr('TotalMatchedDomains'));
			} catch(e){
				$('#majesticrefdomains').text('N/A');
			}
		},
		'error': function() {
			$('#majesticrefdomains').text('N/A');
		}
	});
	
	/* 10 lost links for the last month */
	var date = new Date();
	var end = [date.getFullYear(), ('0'+(date.getMonth()+1)).slice(-2), ('0' + date.getDate()).slice(-2)];
	var start = [date.getMonth()==0 ? date.getFullYear()-1 : date.getFullYear(), ('0' +((date.getMonth()+1) == 1 ? 12 : date.getMonth())).slice(-2), ('0' + date.getDate()).slice(-2)];
	start[2] = ('0'+ (date.getDate() > (32 - new Date(start[0], start[1]-1, 32).getDate()) ? (32 - new Date(start[0], start[1]-1, 32).getDate()) : date.getDate())).slice(-2)
	end = end.join('-');
	start = start.join('-');
	$.ajax({
		url: "http://enterprise.majesticseo.com/api_command?app_api_key=18429E9EB2EE08D9CFCAE28ED21C6CC6&Count=10&cmd=GetNewLostBackLinks&datasource=fresh&item=" + url.source+"&Datefrom="+start+"&Dateto="+end,
		dataType: "xml",
		'success': function(response) {
			var _headers = ["SourceURL", "FirstIndexedDate", "LastSeenDate", "DateLost", "ReasonLost", "LinkType", "LinkSubType"];
			var positions = $(response).find("DataTable[Name='BackLinks']").attr("Headers").split("|");
			var headers = _headers.map(function(t){
				return t.replace(/([a-z])([A-Z])/g,'$1 $2');
			});
			var aoColumns = [];
			headers.forEach(function(header){
				aoColumns.push({
					'sTitle':	header
				})
			})
			var aaData = [];
			$(response).find("DataTable[Name='BackLinks']").find("Row").each(function(){
				var _data = this.textContent.split('|');
				var _aaData = [];
				_headers.forEach(function(_header){
					_aaData.push(_data[positions.indexOf(_header)])
				})
				aaData.push(_aaData)
			});
			var _trunc = [];
			for (var i=0;i<aoColumns.length;i++){
				_trunc.push(null);
			}
			_trunc[0] = 15;
			$('#droplinkstable').dataTable({
					"aoColumnDefs": [
			      { "sWidth": "20%", "aTargets": [ 0 ] }
			    ],
					"sScrollY": "390px",
					"sScrollX": "690px",
					"bDestroy":	true,
					"sDom": "t",
					"bAutoWidth": true,
					"aaData": aaData,
					"aoColumns": aoColumns
			}).fnTruncateCells(_trunc);
		},
		'error': function() {
			$('#majesticrefdomains').text('an error occured while getting the data');
		}
	});

	
	/* anchor text table */
	$.ajax({
		url: "http://enterprise.majesticseo.com/api_command?app_api_key=18429E9EB2EE08D9CFCAE28ED21C6CC6&cmd=GetAnchorText&datasource=fresh&item=" + url.source,
		dataType: "xml",
		'success': function(response) {
			var rawheaders = $(response).find("DataTable[Name='AnchorText']").attr("Headers").split("|");
			var headers = rawheaders.map(function(t){
				return t.replace(/([a-z])([A-Z])/g,'$1 $2');
			});
			var aoColumns = [];
			headers.forEach(function(header){
				aoColumns.push({
					'sTitle':	header
				})
			})
			var aaData = [];
			var chartData = [];
			$(response).find("DataTable[Name='AnchorText']").find("Row").each(function(){
				var _aaData = this.textContent.split('|');
				_aaData[0] = $.trim(_aaData[0]) || "[blank]";
				aaData.push(_aaData);
				chartData.push([$.trim(this.textContent.split('|')[rawheaders.indexOf('AnchorText')]) || "[blank]", parseInt(this.textContent.split('|')[rawheaders.indexOf('RefDomains')], 10)]);
			});
			var _trunc = [];
			for (var i=0;i<aoColumns.length;i++){
				_trunc.push(null);
			}
			_trunc[0] = 15;
			$('#anchortable').dataTable({
					"aoColumnDefs": [
			      { "sWidth": "20%", "aTargets": [ 0 ] }
			    ],
					"sScrollY": "360px",
					"sScrollX": "690px",
					"bDestroy":	true,
					"sDom": "t",
					"bAutoWidth": true,
					"aaData": aaData,
					"aoColumns": aoColumns
			}).fnTruncateCells(_trunc);
			gChartData = chartData;
			drawAnchorPie();
		},
		'error': function() {
			$('#majesticrefdomains').text('an error occured while getting the data');
		}
	});
	

	/******************************************************************/

	
	$.ajax({
		url: "http://chrome.gabegalperin.com/chrome3.php?url=" + url.protocol + '://' + url.host,
		dataType: "json",
		success: function(a) {
			$("#domainip").text((a.ips || ["N/A"])[0]);
		},
		error: function() {
			$("#domainip").text("N/A")
		}
	});


	$.ajax({
		url: "http://enterprise.majesticseo.com/api_command?app_api_key=18429E9EB2EE08D9CFCAE28ED21C6CC6&cmd=GetIndexItemInfo&items=1&item0="+url.host+"&source=historic",
		dataType: "xml",
		success: function(response) {
			var header = ($(response).find("DataTable[Name='Results']")).attr('Headers').split('|');
			var data = ($(response).find("DataTable[Name='Results']")).find("Row")[0].textContent.split('|');
			try {
				$('#majestic').text(numberFormat(data[header.indexOf('ExtBackLinks')]));
				$('#majesticunique').text(numberFormat(data[header.indexOf('RefDomains')]));
				$('#majesticindex').text(numberFormat(data[header.indexOf('IndexedURLs')]));
			} catch(e){
				$('#majestic').text("N/A");
				$('#majesticunique').text("N/A");
				$('#majesticindex').text("N/A");
			}
		},
		error: function() {
			$('#majestic').text("N/A");
			$('#majesticunique').text("N/A");
			$('#majesticindex').text("N/A");
		}
	});

	$.ajax({
		url: "http://www.google.com/search?q=link:" + url.authority + url.relative,
		success: function(a) {
			(a = $("#resultStats", a).text().replace("About ", "").split(" ")[0]) || (a = "0");
			document.getElementById("googlesu").innerHTML = a;
			if (url.relative != "") {			}
		},
		error: function(a) {
			document.getElementById("googlesu").innerHTML = "N/A";
		}
	});

	$.ajax({
		url: "http://www.alexa.com/siteinfo/" + url.host,
		success: function(a) {
			var b = $("#siteStats td.clear-border .data:eq(1) a", a).text();
			$.trim(b) || (b = "0");
			$("#backlinks .alexa .result").text(b);
			document.getElementById("alexa").innerHTML = b;
			b = $("#siteStats .up, #siteStats .down, #siteStats .steady", a).text();
			$.trim(b) || (b = "-");
			if (b.search(/No data/) >= 0) {
				document.getElementById("alexarank").innerHTML = "N/A";
			} else {
				document.getElementById("alexarank").innerHTML = b;
			}
		},
		error: function() {
			document.getElementById("alexa").innerHTML = "N/A";
			document.getElementById("alexarank").innerHTML = "N/A";
		}
	});

	$.ajax({
		url: "http://optifirst.publicapi.semrush.com/info.php?url=" + url.host,
		success: function(a) {
			if ($("status", a).text() == "notfound") $("#search-stats .semrush-rank .result, #search-stats .semrush-traffic .result, #search-stats .semrush-traffic-price .result").text("-");
			else {
				var b = numberFormat($("rank", a).text());
				document.getElementById("semrush").innerHTML = b;
				document.getElementById("semrush2").innerHTML = b;
				b = numberFormat($("traffic", a).text());
				document.getElementById("semrushdaily2").innerHTML = b;
				b = numberFormat($("costs", a).text());
				document.getElementById("semrushcost2").innerHTML = "$" + b;
			}
		},
		error: function() {
			document.getElementById("semrush").innerHTML = "N/A";
			document.getElementById("semrush2").innerHTML = "N/A";
			document.getElementById("semrushdaily2").innerHTML = "N/A";
			document.getElementById("semrushcost2").innerHTML = "N/A";

		}
	});


	$.ajax({
		url: "http://www.google.com/search?q=site:dmoz.org+" + url.host + "+OR+" + url.host.replace(/^www\.(?=.+\.)/, ""),
		success: function(a) {
			a = $("#resultStats", a).text().replace("About ", "").split(" ")[0];
			$("#indmoz").text(a ? "Yes" : "No")
		},
		error: function(a) {
			$("#indmoz").text("N/A");
		}
	});

	$.ajax({
		url: "https://plusone.google.com/u/0/_/+1/fastbutton?url=" + url.source,
		success: function(a) {
			a = $("#aggregateCount", a).text();
			a.indexOf("k") !== -1 ? (a = a.replace("k", ""), a *= 1E3) : a.indexOf("m") !== -1 && (a = a.replace("m", ""), a *= 1E6);
			$("#googleplus").text(numberFormat(a))
		},
		error: function() {
			$("#googleplus").text("N/A")
		}
	});

	$.ajax({
		url: "http://www.google.com/search?q=site:stumbleupon.com/url/+inurl:" + url.host,
		success: function(a) {
			(a = $("#resultStats", a).text().replace("About ", "").split(" ")[0]) || (a = "0");
			$("#stumbleuponsw").text(a)
		},
		error: function(a) {
			$("#stumbleuponsw").text("N/A")
		}
	});

	$.ajax({
		url: "http://www.stumbleupon.com/services/1.01/badge.getinfo?url=" + url.source,
		dataType: "json",
		success: function(a) {
			var b = numberFormat(parseInt(a.result.views));
			b || (b = "0");
			$("#stumbleuponsu").text(b);
			$("#stumbleuponsulink").click(function() {
				window.open(a.result.info_link)
			})
		},
		error: function() {
			$("#stumbleuponsu").text("N/A")
		}
	});

	$.ajax({
		url: "http://urls.api.twitter.com/1/urls/count.json?url=" + url.source,
		dataType: "json",
		success: function(a) {
			a =
			numberFormat(parseInt(a.count));
			$("#twitter").text(a)
		},
		error: function() {
			$("#twitter").text("N/A")
		}
	});

	$.ajax({
		url: "http://web.archive.org/*/" + decodeURIComponent(url.source),
		cache: !0,
		success: function(a) {
			a = $(".wbThis a:eq(1)", a).text();
			$("#archive").text(a)
		},
		error: function(a) {
			a.status == "404" ? $("#archive").text("Not cached") : a.status == "403" ? $("#archive").text("This page blocks caching") : a.status == "503" ? $("#archive").text("Archive.org is having problems") : $("#archive").text("Error: Working on a fix")
		}
	});
	$.ajax({
		url: "http://webcache.googleusercontent.com/search?&q=cache:" + url.source + "+&cd=1&hl=en&ct=clnk&gl=us",
		dataType: "html",
		success: function(a) {
			var b = a.indexOf("appeared on") + 11,
					c = a.indexOf("GMT", b);
			(a = a.substr(b, c + 3 - b)) ? $("#googlecache").text(a) : $("#googlecache").text("Not cached")
		},
		error: function(a) {
			a.status == "503" ? $("#googlecache").text("Blocked by Google") : $("#googlecache").text("N/A")
		}
	});

	$.ajax({
		url: url.protocol + "://" + url.host + "/robots.txt",
		success: function(a, b, c) {
			$("#robots").text("Yes");
			c.status == "0" && $("#robots").text("No")
		},
		error: function(a) {
			a.status == "404" ? $("#robots").text("No") : $("#robots").text("N/A")
		}
	});

	$.ajax({
		url: url.protocol + "://" + url.host + "/sitemap.xml",
		success: function(a, b, c) {
			$("#sitemap").text("Yes");
			c.status == "0" && $("#sitemap").text("No")
		},
		error: function(a) {
			a.status == "404" ? $("#sitemap").text("No") : $("#sitemap").text("N/A")
		}
	});
}

KangoAPI.onReady(function() {
	init();
});
popup = {
	addEventListener: function(action, id, handler) {
		document.getElementById(id).removeEventListener(action, handler);
		document.getElementById(id).addEventListener(action, handler);
	},
	initializeInlineEvents: function() {
		$('#submitbtn').click(function(){wqSearch(document.getElementById('searchbox'))});
		$('#adroplinksmore').click(function(){openLink('majestic');});
		$('#achartmore').click(function(){openLink('majestic');});
		$('#aanchormore').click(function(){openLink('majestic');});
		$('#facebooktop').click(function(){openDirect('http://www.facebook.com/OptFirst');});
		$('#plustop').click(function(){openDirect('https://plus.google.com/110972822959804914434/');});
		$('#optfirsttop').click(function(){openLink('OptFirst');});
		$('#optfirstlogobottom').click(function(){openLink('OptFirst');});
		$('#optfirstyoutube').click(function(){openDirect('http://www.youtube.com/user/OptFirst');});
		$('#optfirsttwitter').click(function(){openDirect('http://www.twitter.com/optfirst');});

		popup.addEventListener('focus', 'searchbox', function() {
			wqOnFocus(document.getElementById('searchbox'))
		});
		popup.addEventListener('blur', 'searchbox', function() {
			wqOnBlur(document.getElementById('searchbox'))
		});
		popup.addEventListener('click', 'amanualseo', function() {
			openLink('OptFirst');
			return false
		});
		popup.addEventListener('click', 'agooglesu', function() {
			openLink('googlesu');
			return false
		});
		popup.addEventListener('click', 'agooglepr', function() {
			openLink('googlepr');;
			return false
		});
		popup.addEventListener('click', 'amajestic', function() {
			openLink('majestic');
			return false;
		});
		popup.addEventListener('click', 'amajesticcitationflow', function() {
			openLink('majestic');
			return false;
		});
		popup.addEventListener('click', 'amajestictrustflow', function() {
			openLink('majestic');
			return false;
		});
		popup.addEventListener('click', 'amajesticrefdomains', function() {
			openLink('majestic');
			return false;
		});
		popup.addEventListener('click', 'amajesticunique', function() {
			openLink('majesticunique');
			return false
		});
		popup.addEventListener('click', 'abingbackline', function() {
			openLink('bingbackline');;
			return false
		});
		popup.addEventListener('click', 'aalexa', function() {
			openLink('alexa');;
			return false
		});
		//popup.addEventListener('click', 'afacebook', function() {
		//	openLink('facebook');
		//	return false
		//});
		popup.addEventListener('click', 'agoogleplus', function() {
			openLink('googleplus');
			return false
		});
		popup.addEventListener('click', 'aindmoz', function() {
			openLink('indmoz');;
			return false
		});
		popup.addEventListener('click', 'atwitter', function() {
			openLink('twitter');;
			return false
		});
		popup.addEventListener('click', 'astumbleuponsw', function() {
			openLink('stumbleuponsw');
			return false
		});
		popup.addEventListener('click', 'stumbleuponsulink', function() {
			openLink('stumbleuponsu');
			return false
		});
		$('#aalexarank').click(function(){openLink('alexarank');});
		$('#asemrush').click(function(){openLink('semrush');});
		$('#asemrush2').click(function(){openLink('semrush');});
		$('#asemrushdaily2').click(function(){openLink('semrush');});
		$('#asemrushcost2').click(function(){openLink('semrush');});
		$('#asemrushmore').click(function(){openLink('semrush');});
		popup.addEventListener('click', 'agoogleindex', function() {
			openLink('googleindex');;
			return false
		});
		popup.addEventListener('click', 'amajesticindex', function() {
			openLink('majesticindex');;
			return false
		});
		popup.addEventListener('click', 'abingindex', function() {
			openLink('bingindex');
			return false
		});
		popup.addEventListener('click', 'aarchive', function() {
			openLink('archive');;
			return false
		});
		popup.addEventListener('click', 'agooglecache', function() {
			openLink('googlecache');;
			return false
		});
		popup.addEventListener('click', 'arobots', function() {
			openLink('robots');;
			return false
		});
		popup.addEventListener('click', 'asitemap', function() {
			openLink('sitemap');;
			return false
		});
		popup.addEventListener('click', 'awhois', function() {
			openLink('whois');
			return false
		});
		popup.addEventListener('click', 'awhois2', function() {
			openLink('whois');
			return false
		});
		popup.addEventListener('click', 'domainip', function() {
			openLink('whois');
			return false
		});
	}
}